package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 认证审核类型 ADD 新增 MODIFY 修改
 *
 * @Author: liweifan
 * @Data: 2022/3/16 10:19
 */
public enum AuthTypeEnum implements BaseEnum<String, AuthTypeEnum> {
    ADD("新增"),
    MODIFY("修改"),

    ;
    @EnumValue
    private String code;
    private String name;

    AuthTypeEnum(String name) {
        this.code = this.name();
        this.name = name;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getName() {
        return name;
    }
}